Skip to main content
`Ctrl`+`K`

# DMSNESCheckResidual

Check the residual of the exact solution

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCheckResidual(SNES snes, DM dm, Vec u, PetscReal tol, PetscReal *residual)

## Input Parameters

- snes - the `SNES` object

- dm - the `DM`

- u - a `DM` vector

- tol - A tolerance for the check, or -1 to print the results instead

## Output Parameter

- residual - The residual norm of the exact solution, or `NULL`

## See Also

SNES: Nonlinear Solvers, `DNSNESCheckFromOptions()`, `DMSNESCheckDiscretization()`, `DMSNESCheckJacobian()`

## Level

developer

## Location

src/snes/utils/dmplexsnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages